<template>
  <div
    class="inline-block ml-auto"
    style="position: relative !important; padding-top: 5px"
  >
    <form @submit.prevent="searchEvent()">
      <input
        class="mt-2 input-search"
        v-model="search"
        type="text"
        maxlength="128"
      />
      <button
        type="submit"
        class="md-button md-default md-simple md-theme-default md-button-content input-search-btn"
      >
        <i class="md-icon md-icon-font md-theme-default icon-size-14">search</i>
      </button>
    </form>
  </div>
</template>

<script>
export default {
  data() {
    return {
      search: '',
    };
  },
  methods: {
    searchEvent: function () {
      this.$emit('child-event', this.search);
    },
  },
};
</script>
